Subject: RE: Forces-GSMP overlap

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Thu, 15 Feb 2001 13:17:19 -0800

Hi All,

Jerry had sent out an interesting mail on ForCES-GSMP overlap
sometime back and I think that's a useful discussion to have
on both the mailing lists in context with the ForCES charter
discussion and the GSMP charter update. IMHO GSMP and ForCES
both seem to be applicable for a similar framework. GSMP is
more focused on label-switches (ATM,MPLS) whereas ForCES is
focused on IP switches/routers. Thus the underlying model 
which is being controlled is quite different in both cases.

It would be nice to know the views of other members on the
mailing lists on this issue. This is an important discussion 
to have before the March IETF meeting.

Thanks,
Hormuzd.

-----Original Message-----
From: Jaroslaw Sydir [mailto:[email-masked]]
Sent: Wednesday, December 20, 2000 9:27 AM
To: [email-masked]; [email-masked]
Subject: Forces-GSMP overlap 

Hello folks. At the FORCES BOF and the GSMP WG meeting last week there
was discussion about a potential overlap in the proposed work of the two
groups, specifically with respect to the control of IP devices. I
believe that although some overlap exists, it is not the case that both
groups are aiming to do exactly the same thing.

I think that the two groups are approaching the problem at two different
levels. FORCES is approaching the problem at a lower level. At this
level can be defined protocols between the FEs and CEs (forces
terminology). These protocols would allow the FEs and CEs to discover
each other and allow the CE to program the FEs. In this model, it is
possible that the CE be in a physically separate location from the FE,
but in practice its not clear that it makes sense to build a network
element without even a minimal control entity. It does make sense to
build an NE with a minimal CE which speaks the CE-FE protocols and acts
as a GSMP slave (or whatever NE control protocol you wish to use).

This brings up the higher level protocol, which is the focus of the GSMP
WG. This higher level protocol is a protocol for controlling a complete
NE. This is the purpose of GSMP (for switched devices). This type of
protocol provides the flexibility to deploy the control plane on or off
board the network elements. It is this level of protocol that the GSMP
WG would produce for IP devices under the "extend to deal with IP
routers" item in the proposed charter.

Now, even though the two groups are talking about two slightly different
sets of protocol, I believe that some of the primitives (objects,
TLVs...) used by the two protocols might be the same. Specifically they
should both deal with the creation/configuration of fileters, meters,
schedulers, queues, etc. So I think that the work can go on in two
groups, but that the groups should coordinate their efforts in defining
these low level primitives.

Jerry Sydir

---

From: "Anderson, Todd A" <[email-masked]>
Date: Mon, 26 Feb 2001 09:47:25 -0800

My view is that the reason one does switching is because you want
to perform forwarding as past as possible.  However, at the edge 
of the network, you want to perform complex value added services 
that necessarily correspond to an increase in packet processing 
time.  Whether coincidence or not, these edge devices also tend 
more towards being longest-prefix match.  GSMP I think works well
for switches in which you can only do a little extra very well
defined work.  I think that ForCES is oriented towards those edge
devices that are providing additional services where you would
like the forwarding and control planes to evolve separately so
that they can evolve more quickly.

> From: Avri Doria [mailto:[email-masked]]
> Sent: Sunday, February 25, 2001 8:06 PM
> To: [email-masked]; Forces
> Subject: Re: Forces-GSMP overlap
> 
> 
> 
> (Including Forces in the conversation)
> 
> tom worster wrote:
> > 
> > From: [email-masked] [mailto:[email-masked]]
> > On Behalf Of Joachim Buerkle
> > >
> > > I fully agree with Avri.
> > > I also see GSMP independent of the Layer.
> > 
> > my comments on l2 v l3 were mistaken. the technical
> > difference between gsmp and forces is between label
> > switching and generalised parsing.
> 
> Since i think that most switches need to parse to get the label they
> are switching on, i expect that this is not really the crux of the
> issue.  I think it boils down to the complexity of the rule
> that one needs to express the the action to take per packet
> or per flow. GSMP is well suited to the implicit simple rules 
> pertaining to a label, service factors, and adaptations.
> 
> Once more work has been done on the Forces model we will discover 
> how complex the rules need to be and whether they are too complex
> for the GSMP structure and require something else, like complex
> data/rule/role modeling in a PIB, or something else altogether.
> 
> My view of the relation is that Forces denotes a technical problem 
> that remains to be understood and solved, while GSMP is a solution
> for some class of problems.
> More then that remains to be determined.
> 
> a.
> 
> -- 
> 
> Avri Doria
> +1 401 663 5024
>